import { Meta } from "@storybook/addon-docs/blocks";

<Meta title="Releases/v0.11.x - Latest Minor/v0.11.0-rc.1/Change log" />

# v0.11.0-rc.1

* Migration guide will be added to the v0.11.0

## ✨ Props

<table>
  <thead>
    <tr>
      <th colspan="5">Props</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td>Component</td>
      <td>Before</td>
      <td>v0.11.0-rc.1</td>
      <td>Required</td>
      <td>Default value</td>
    </tr>
    <tr>
      <td>SfQuantitySelector</td>
      <td>-</td>
      <td>min</td>
      <td>false</td>
      <td>null</td>
    </tr>
    <tr>
      <td>SfQuantitySelector</td>
      <td>-</td>
      <td>max</td>
      <td>false</td>
      <td>null</td>
    </tr>
    <tr>
      <td>SfNotification</td>
      <td>-</td>
      <td>persistent</td>
      <td>false</td>
      <td>false</td>
    </tr>
  </tbody>
</table>

## 🚀 Features

- SfButton - disabled state made more inclusive
- SfAccordion - SfAccordionItems can be opened programmatically
- SfFooter: now works with JS disabled
- SfNotification: added persistent prop to exclude closing button
- SfProductCard: added `SfColorPicker` inside a new slot `colors`
- SfQuantitySelector: Add min and max props to set minimum or maximum allowed QTY
- E2E tests moved to nuxt directory

## 🧹 Chores

- docs: example pages on Storybook refactored to show full source code in docs tab
- docs: clean up releases page
- docs: fix links to Discord Channel
- docs: fix Meet the team section lists and email to storefront ui contributors

## 🐛 Fixes

- SfSelect: cannot click on label to open the dropdown
- SfRadio: fixed to work on Safari 11 and older
- SfProductCardHorizontal: access to quantity during adding to cart
- SfRange: removed optional chaining
- SfCart, SfDetailedCart: increasing quantity with "+" button fixed
- SfImage: fix dynamic styles in ProductCard
- SfBottomNavigation: adjusted the same wrapper size for the items
- SfGallery: fix missing alt on a SfImage which displays the zoomed image when outsideZoom is enabled
- molecules: replace dynamic classes with static
- atoms: replace dynamic classes with static
- deps: add missing glob dependency to fix bug when adding SFUI to project on yarn2 in pnp mode
